org.vertx.java.core.json.impl

## Class Json

- java.lang.Object
- - org.vertx.java.core.json.impl.Json

    public class Json
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Json()`

### Method Summary

Methods
`static java.lang.Object` `decodeValue(java.lang.String str, java.lang.Class<?> clazz)`
`static java.lang.String` `encode(java.lang.Object obj)`
`static java.lang.String` `encodePrettily(java.lang.Object obj)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Json

    public Json()

### Method Detail

#### encode

    public static java.lang.String encode(java.lang.Object obj)
                                   throws EncodeException

Throws:
  `EncodeException`

#### encodePrettily

    public static java.lang.String encodePrettily(java.lang.Object obj)
                                           throws EncodeException

Throws:
  `EncodeException`

#### decodeValue

    public static java.lang.Object decodeValue(java.lang.String str,
                               java.lang.Class<?> clazz)
                                        throws DecodeException

Throws:
  `DecodeException`